Skip to main content
GET
/
v1
/
research
/
tasks
/
{task_id}
curl --request GET \
  --url https://api.yutori.com/v1/research/tasks/00000000-0000-0000-0000-000000000000 \
  --header 'X-API-Key: YOUR_API_KEY'
{
  "task_id": "<string>",
  "view_url": "<string>",
  "status": "queued",
  "result": "<string>",
  "structured_result": {},
  "structured_output_status": "not_requested",
  "created_at": "2023-11-07T05:31:56Z",
  "updates": [
    {
      "id": "<string>",
      "timestamp": 123,
      "content": "<string>",
      "citations": [
        {
          "id": "<string>",
          "url": "<string>",
          "preview_data": {}
        }
      ],
      "stats": {
        "num_tool_calls": 0,
        "num_mcp_tool_calls": 0,
        "num_webpages_read": 0,
        "num_navigator_steps": 0,
        "num_websites_visited": 0,
        "sec_saved": 0
      },
      "structured_result": {},
      "structured_output_status": "not_requested",
      "header_image_url": "<string>"
    }
  ],
  "rejection_reason": "insufficient_prepaid_balance",
  "mode": "deep"
}
curl --request GET \
  --url https://api.yutori.com/v1/research/tasks/00000000-0000-0000-0000-000000000000 \
  --header 'X-API-Key: YOUR_API_KEY'

Authorizations

x-api-key
string
header
required

Path Parameters

task_id
string
required

Response

Successful Response

Response for getting research task status and results.

task_id
string
required

Unique identifier for this research task

view_url
string
required

URL to view task progress and results

status
enum<string>
required

Current status of the research task

Available options:
queued,
running,
succeeded,
failed
result
string | null

Research results in markdown format if completed

structured_result

If an output schema was provided, the result formatted as JSON matching that schema

structured_output_status
enum<string> | null

Whether structured output was requested, is still pending, succeeded, or failed

Available options:
not_requested,
pending,
succeeded,
failed
created_at
string<date-time> | null

When the task was created

updates
DeveloperUpdate · object[]

List of updates/results from the research task

rejection_reason
enum<string> | null

If status is 'failed', the specific billing reason for rejection

Available options:
insufficient_prepaid_balance,
budget_exceeded,
subscription_inactive
mode
enum<string> | null

Research mode used for this task when known

Available options:
deep,
fast